#ifndef __VTioroutines__
#define __VTioroutines__

// must be called at the beginning of the program
extern void VT_init();

// Delay ms*100 microseconds
// This delay is not exact by any means
extern void VTdelay_100micros(unsigned short);

// Turns LEDs on or off
// If Bit k is '1', then PBk is on
// If Bit k is '0', then PBk is off
extern void VTled(unsigned char);

// Return the value of the switches 1-8 in a single byte
// If bit k of the byte is '1', then switch(k+1) is on
// If bit k of the byte is '0', then switch(k+1) is off
// NOTE: Bit 0 is also '1' if SW4 is pushed
// NOTE: Bit 1 is also '1' if SW3 is pushed
unsigned char VTswitches();

// true if button SW2 is pressed, false otherwise
bool VTbuttonSW2();

// returns the value read in the Analog-to-Digital Conversion port
// the value is inversely proportional to resistor setting
unsigned int VTadc();

// Check the integrity of the malloc structures
// Any return value other than 0 indicates a problem
extern "C" int malloc_check();

// Must be called before using LCD
// It is included in vt_init()
extern void VTlcd_init(void);

// This routine returns a value indicating which keys on the keypad are 
// currently pressed.  If key i is pressed, then bit i in the return value
// is a '1'
unsigned int VTkeypad();

// Make a beep noise
void VTbeep();

// line: 0 for top line, 1 for bottom
// col:  left of screen is col 0
// str : address of first character to send
// len : number of characters to print, null terminated string if = 0
extern void VTlcd_print(unsigned char line, unsigned char col, 
               char *str, unsigned char len);
#endif
