#include <sys/ports.h>
#include <sys/sio.h>
#include <stdio.h>
#include <string.h>
#include "VTioroutines.h"

int main ()
{
	int iter;
	char my_str[17] = "Program Begin";
	unsigned int	switch_value;
	bool button_value;
	unsigned int keyread;
	float x;
	int	ix;

	// Must call vt_init() to initialize the system
	VT_init();

	// print the message in my_str to the LCD panel
	VTlcd_print(0,0,my_str,0);

	// print out the size of some variable types to the serial port for
	// display on the PC
	printf("Long is %d, int is %d, short is %d, size_t is %d\n",sizeof(long),sizeof(int),sizeof(short),sizeof(size_t));

	// initialize the iteration counter
	iter = 0;

	x = 35.6;

	// loop forever
	while(1) {
		// Read button SW2
		button_value = VTbuttonSW2();
		if (button_value) {
			printf("Button SW2 is pushed\n");
		} else {
			printf("Button SW2 is not pushed\n");
		}

		// Print to the LCD and set the LEDs
		sprintf(my_str,"Iteration %d   ",iter);
		VTlcd_print(0,0,my_str,0);
		VTled(iter);

		// Read the DIP switch values
		switch_value = VTswitches();
		printf("The switch values are %d\n",switch_value);

		// Read the analog to digital converter
		printf("ADC value is %x\n",VTadc());

		// Read the 16-key keypad
		keyread = VTkeypad();
		printf("Key Code = %x\n",keyread);

		// Read from the PC's keyboard and print to the LCD
		// Don't read in a string exceeding the capacity of the LCD!
		serial_getline(my_str);
		VTlcd_print(1,0,my_str,0);

		// make a short beeping sound
		VTbeep();

		printf("At the end, iter = %d\n",iter);
		iter++;

		// Delay for a very bad approximation of 1/2 second
		VTdelay_100micros(5000);

		x = x * 2;
		ix = x;
		printf("X is truncated to %d\n",ix);
	}
	return(0);
}
